ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Weintraub" <qazw...@gmail.com>
Subject Re: problems with ant optional tasks
Date Wed, 26 Sep 2007 16:14:10 GMT
You may want to look at
<http://ant.apache.org/manual/install.html#librarydependencies> which
tells you the various JAR dependencies for each task. You also need to
read about each specific ant task too and see what jars are needed.

I haven't used any optional task, but I am using the AntContrib tasks
and the mail task and those needed extra jar files which I put in the
"lib" directory under Ant (version 7.0).

I also had to add a "taskdef" task to my build.xml. Wonder if you have
to do something similar with the optional ant tasks?

On 9/26/07, Stephen  Wilkinson <swilkins@uoguelph.ca> wrote:
> Hi there and thank you for responding;
> I downloaded and installed ant-optional-1.6.5-20.3.i586.rpm
> Which is the closest version I could find to ant-1.6.5-4jpp.noarch.rpm,
> it just contained ant-antlr
>
> Ant -diagnostics still says optional tasks: not available
>
> The install put the ant-antlr jar into /usr/share/java rather than
> usr/share/ant/lib so I tried copying them there but didn't help.
>
> I tried forcing the library with ant -lib /path but same result.
> Any other suggestions?
> Thanks again for your time
> Stephen
>
>
> -----Original Message-----
> From: Steve Loughran [mailto:stevel@apache.org]
> Sent: September 26, 2007 6:08 AM
> To: Ant Users List
> Subject: Re: problems with ant optional tasks
>
>
>
> Stephen Wilkinson wrote:
> > Hi there, I'm pretty much totally new to linux and am having some
> build
> > problems with Dspace which I believe is because I don't have my Ant
> > optional tasks working.
>
>
> aah DSpace.
>
> >
> > Basics I'm using Suse Linux Enterprise Server version 10 with sp 1
> >
> > I downloaded and installed java - jdk-6u2-linux-i586.rpm
> >
> > As well as "ant-1.6.5-4jpp.noarch.rpm" and
> > "ant-apache-regexp-1.6.5-4jpp.noarch.rpm"
> >
> > I also installed postgresql 8.1
> >
> > I downloaded dspace source tarball
> >
> > When I run ant fresh_install from the dspace download directory I get
> a
> > build failed error:88 no regular matching expression found (that's why
> I
> > downloaded and installed "ant-apache-regexp-1.6.5-4jpp.noarch.rpm",
> but
> > didn't help)
>
>
>
> > replaceregexp : Not Available
>
>
> Try grabbing ant-optional as well, which should contain the missing
> tasks. You shoudn't need any extra libraries for a java6 jvm, as it has
> built in regexp code.
> --
> Steve Loughran                  http://www.1060.org/blogxter/publish/5
> Author: Ant in Action           http://antbook.org/
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
> For additional commands, e-mail: user-help@ant.apache.org
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
> For additional commands, e-mail: user-help@ant.apache.org
>
>


-- 
--
David Weintraub
qazwart@gmail.com

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message